
type Measure{
    id: ID!

}

type MeasurableElement{
    id: ID!

}

type ProjectUnderMeasurement{
    id: ID!

}

type Measurement_Measure_MeasurableEntity{
    id: ID!
    measurableValue:String!
}

type Measurement{
    id: ID!

}

type MeasurableEntity{
    id: ID!

}


input MeasureInput{
id: ID!
}

input MeasurableElementInput{
id: ID!
}

input ProjectUnderMeasurementInput{
id: ID!
}

input Measurement_Measure_MeasurableEntityInput{
  measurableValue:String!
}

input MeasurementInput{
id: ID!
}

input MeasurableEntityInput{
id: ID!
}


type Query{
  findAllMeasures:[Measure]
  findAllMeasurableElements:[MeasurableElement]
  findAllProjectUnderMeasurements:[ProjectUnderMeasurement]
  findAllMeasurement_Measure_MeasurableEntitys:[Measurement_Measure_MeasurableEntity]
  findAllMeasurements:[Measurement]
  findAllMeasurableEntitys:[MeasurableEntity]
  findByIDMeasure (id: ID!):Measure
  findByIDMeasurableElement (id: ID!):MeasurableElement
  findByIDProjectUnderMeasurement (id: ID!):ProjectUnderMeasurement
  findByIDMeasurement_Measure_MeasurableEntity (id: ID!):Measurement_Measure_MeasurableEntity
  findByIDMeasurement (id: ID!):Measurement
  findByIDMeasurableEntity (id: ID!):MeasurableEntity
}

type Mutation{
  createMeasure(input: MeasureInput):Measure
  createMeasurableElement(input: MeasurableElementInput):MeasurableElement
  createProjectUnderMeasurement(input: ProjectUnderMeasurementInput):ProjectUnderMeasurement
  createMeasurement_Measure_MeasurableEntity(input: Measurement_Measure_MeasurableEntityInput):Measurement_Measure_MeasurableEntity
  createMeasurement(input: MeasurementInput):Measurement
  createMeasurableEntity(input: MeasurableEntityInput):MeasurableEntity
  deleteMeasure (id: ID!):Measure
  deleteMeasurableElement (id: ID!):MeasurableElement
  deleteProjectUnderMeasurement (id: ID!):ProjectUnderMeasurement
  deleteMeasurement_Measure_MeasurableEntity (id: ID!):Measurement_Measure_MeasurableEntity
  deleteMeasurement (id: ID!):Measurement
  deleteMeasurableEntity (id: ID!):MeasurableEntity
  updateMeasure (id: ID!, input: MeasureInput):Measure
  updateMeasurableElement (id: ID!, input: MeasurableElementInput):MeasurableElement
  updateProjectUnderMeasurement (id: ID!, input: ProjectUnderMeasurementInput):ProjectUnderMeasurement
  updateMeasurement_Measure_MeasurableEntity (id: ID!, input: Measurement_Measure_MeasurableEntityInput):Measurement_Measure_MeasurableEntity
  updateMeasurement (id: ID!, input: MeasurementInput):Measurement
  updateMeasurableEntity (id: ID!, input: MeasurableEntityInput):MeasurableEntity
}
